SHA256
1
0
forked from pool/emacs

Accepting request 827545 from editors

- Switch Emacs.FontBackend setting off (boo#1175372)

- Some specfile cleanup: remove checks obsoleted by the portable dumper

- Add upstream patch emacs-27.1-home.patch from mailing list
  to add missing slashes on finding ~/Emacs

OBS-URL: https://build.opensuse.org/request/show/827545
OBS-URL: https://build.opensuse.org/package/show/openSUSE:Factory/emacs?expand=0&rev=149
This commit is contained in:
Dominique Leuenberger 2020-08-20 20:23:52 +00:00 committed by Git OBS Bridge
commit a49a625e37
4 changed files with 49 additions and 40 deletions

View File

@ -8,8 +8,8 @@ Emacs.menu*.font: -*-helvetica-bold-r-normal--12-*-*-*-p-*-iso8859-*
! With GNU Emacs 24 Xft is used, therefore no fontsets are required. If you
! like to use fontsets you have to disable "FontBackend" and enable "Font".
! If Xft fails then X font scheme (including fontsets) is used as fallback.
Emacs.FontBackend: xft,x
!!Emacs.Font: fontset-16
!! Emacs.FontBackend: xft,x
!! Emacs.Font: fontset-16
Emacs*Fontset-0:\
-*-fixed-medium-r-*--16-*-*-*-*-*-fontset-16,\
latin-iso8859-1:-*-fixed-medium-r-*--16-*-iso8859-1,\

26
emacs-27.1-home.patch Normal file
View File

@ -0,0 +1,26 @@
Tomasz> Forgotten / somewhere?
Robert> Hmm. Any chance of catching that in gdb so we can see where itʼs being
Robert> called from?
Completely WAG:
---
src/xrdb.c | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
--- src/xrdb.c
+++ src/xrdb.c 2020-08-15 06:15:14.059639732 +0000
@@ -292,9 +292,9 @@ get_user_app (const char *class)
/* Check in the home directory. This is a bit of a hack; let's
hope one's home directory doesn't contain ':' or '%'. */
char const *home = get_homedir ();
- db = search_magic_path (home, class, "%L/%N");
+ db = search_magic_path (home, class, "/%L/%N");
if (! db)
- db = search_magic_path (home, class, "%N");
+ db = search_magic_path (home, class, "/%N");
}
return db;

View File

@ -1,3 +1,19 @@
-------------------------------------------------------------------
Tue Aug 18 09:22:51 UTC 2020 - Dr. Werner Fink <werner@suse.de>
- Switch Emacs.FontBackend setting off (boo#1175372)
-------------------------------------------------------------------
Sun Aug 16 16:53:39 UTC 2020 - Andreas Schwab <schwab@linux-m68k.org>
- Some specfile cleanup: remove checks obsoleted by the portable dumper
-------------------------------------------------------------------
Sat Aug 15 06:26:39 UTC 2020 - Dr. Werner Fink <werner@suse.de>
- Add upstream patch emacs-27.1-home.patch from mailing list
to add missing slashes on finding ~/Emacs
-------------------------------------------------------------------
Fri Aug 14 08:01:27 UTC 2020 - Dr. Werner Fink <werner@suse.de>

View File

@ -175,6 +175,7 @@ Patch23: emacs-25.1-custom-fonts.patch
Patch24: emacs-25.2-ImageMagick7.patch
Patch25: emacs-26.1-xft4x11.patch
Patch26: emacs-27.1-pdftex.patch
Patch27: emacs-27.1-home.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-build
%{expand: %%global include_info %(test -s /usr/share/info/info.info* && echo 0 || echo 1)}
@ -288,6 +289,7 @@ and most assembler-like syntaxes.
%patch24 -p1 -b .imag
%patch25 -p0 -b .xft
%patch26 -p0 -b .fmt
%patch27 -p0 -b .home
%patch -p0 -b .0
%if %{without tex4pdf}
pushd etc/refcards/
@ -322,22 +324,6 @@ fi
autoreconf -fiv -I $PWD -I $PWD/m4
%endif
# make sure that the binaries work (pagesize on build must be the same as on target, bnc#726769)
%ifarch ppc ppc64 ia64
%if %(getconf PAGESIZE) != 65536
%error "Error: wrong build host, PAGESIZE must be 65536"
exit 1
%endif
%endif
exec_shield=0
if test -e /proc/sys/kernel/exec-shield; then
read -t 1 exec_shield < /proc/sys/kernel/exec-shield
fi
if test $exec_shield -ne 0 ; then
echo Sorry, Execution Shield exists and is enabled 1>&2
exit 1
fi
cflags ()
{
local flag=$1; shift
@ -484,31 +470,12 @@ fi
##(($1 > 4 || ($1 == 4 && $2 > 4))) && COMP="$COMP --enable-link-time-optimization"
##IFS="$OIFS"
make_mchkoff ()
{
local OMC=$MALLOC_CHECK_
unset MALLOC_CHECK_
if test -n "${1}" ; then
setarch $(uname -m) -R make ${1+"$@"}
set -- $(src/emacs -batch --eval "(print pure-space-overflow)")
test "$1" = "nil" || exit 1
fi
make -C src/ versionclean
setarch $(uname -m) -R make
set -- $(src/emacs -batch --eval "(print pure-space-overflow)")
test "$1" = "nil" || exit 1
if test -n "$OMC" ; then
MALLOC_CHECK_=$OMC
export MALLOC_CHECK_
fi
}
# new giflib5 does not have this function and it is unused anyway...
ac_cv_lib_gif_EGifPutExtensionLast=yes
export ac_cv_lib_gif_EGifPutExtensionLast
CFLAGS="$CFLAGS $SMALL" ./configure ${COMP} ${PREFIX} ${NOX11} ${SYS} --with-dumping=pdumper
make_mchkoff bootstrap
make bootstrap
make -C lisp/ updates compile
for i in `find site-lisp/ -name '*.el'`; do
src/emacs -batch -q --no-site -f batch-byte-compile $i; \
@ -518,13 +485,13 @@ cp src/emacs.pdmp emacs-nox.pdmp
make distclean
#
CFLAGS="$CFLAGS $LARGE" ./configure ${COMP} ${PREFIX} ${GTK} ${SYS} --with-dumping=pdumper
make_mchkoff
make
cp src/emacs emacs-gtk
cp src/emacs.pdmp emacs-gtk.pdmp
make distclean
#
CFLAGS="$CFLAGS $LARGE" ./configure ${COMP} ${PREFIX} ${X11} ${SYS} --with-dumping=pdumper
make_mchkoff
make
cp src/emacs emacs-x11
cp src/emacs.pdmp emacs-x11.pdmp